Get a user by ID
GET /v1/users/{id}: Returns a user selected by UUID after applying READ_USER authority.
Returns a user selected by UUID after applying READ_USER authority. includeDeleted permits an authorized caller to inspect a permanent tombstone; it does not grant additional authority.
x-api-key<token>
In: header
Path Parameters
idstring
User UUID
Query Parameters
includeDeleted?boolean
Permit an authorized read of a permanent tombstone
Default
falseResponse Body
curl -X GET "https://your-goodmem-server.example.com/v1/users/550e8400-e29b-41d4-a716-446655440000?includeDeleted=false"{
"userId": "550e8400-e29b-41d4-a716-446655440000",
"email": "[email protected]",
"displayName": "John Doe",
"username": "johndoe",
"labels": {
"team": "platform"
},
"enrollmentSummary": {
"openEnrollmentExpiresAt": 1786752000000
},
"deletedAt": 1620200000000,
"deletedById": "8ef578ad-7f1e-4656-b48b-b1b4a9aaa1cb",
"createdAt": 1620000000000,
"updatedAt": 1620100000000,
"createdById": "e13e432a-5323-4484-a91d-b5969bc564d9",
"updatedById": "d8bc6076-4141-4a88-80b9-0eb31643066f"
}Empty
Empty
Empty
Empty
Empty
Empty
Get current user profile
GET /v1/users/me: Returns the human-user profile associated with the authenticated principal. Service principals do not have a human-user profile.
Get user by email address
GET /v1/users/email/{email}: Returns a user selected by exact email address after applying READ_USER authority.